# Clutter::PathNode Class Reference

List of all members.

## Public Types

typedef unsigned int | size_type
typedef int | difference_type
typedef Knot | value_type
typedef Knot& | reference
typedef const Knot& | const_reference
typedef Knot* | iterator
typedef const Knot* | const_iterator
typedef std::reverse_iterator < iterator > | reverse_iterator
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator

## Public Member Functions

| PathNode ()
| PathNode (const ClutterPathNode* gobject)
ClutterPathNode* | gobj ()
| Provides access to the underlying C instance.
const ClutterPathNode* | gobj () const
| Provides access to the underlying C instance.
| PathNode (PathNodeType type)
size_type | size () const
bool | empty () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
reference | front ()
const_reference | front () const
reference | back ()
const_reference | back () const
reference | operator[] (size_type i)
const_reference | operator[] (size_type i) const

## Protected Attributes

ClutterPathNode | gobject_

## Related Functions

(Note that these are not member functions.)
bool | operator== (const PathNode& lhs, const PathNode& rhs)
bool | operator!= (const PathNode& lhs, const PathNode& rhs)
Clutter::PathNode& | wrap (ClutterPathNode* object)
const Clutter::PathNode& | wrap (const ClutterPathNode* object)

## Member Typedef Documentation

typedef const Knot* Clutter::PathNode::const_iterator

typedef const Knot& Clutter::PathNode::const_reference

typedef std::reverse_iterator<const_iterator> Clutter::PathNode::const_reverse_iterator

typedef int Clutter::PathNode::difference_type

typedef Knot* Clutter::PathNode::iterator

typedef Knot& Clutter::PathNode::reference

typedef std::reverse_iterator<iterator> Clutter::PathNode::reverse_iterator

typedef unsigned int Clutter::PathNode::size_type

typedef Knot Clutter::PathNode::value_type

## Constructor & Destructor Documentation

Clutter::PathNode::PathNode | ( |  | ) |

Clutter::PathNode::PathNode | ( | const ClutterPathNode * | gobject | ) | `[explicit]`

Clutter::PathNode::PathNode | ( | PathNodeType | type | ) | `[explicit]`

## Member Function Documentation

const_reference Clutter::PathNode::back | ( |  | ) | const`[inline]`

reference Clutter::PathNode::back | ( |  | ) | `[inline]`

const_iterator Clutter::PathNode::begin | ( |  | ) | const

iterator Clutter::PathNode::begin | ( |  | ) |

bool Clutter::PathNode::empty | ( |  | ) | const

const_iterator Clutter::PathNode::end | ( |  | ) | const

iterator Clutter::PathNode::end | ( |  | ) |

const_reference Clutter::PathNode::front | ( |  | ) | const`[inline]`

reference Clutter::PathNode::front | ( |  | ) | `[inline]`

const ClutterPathNode* Clutter::PathNode::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

ClutterPathNode* Clutter::PathNode::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

const_reference Clutter::PathNode::operator[] | ( | size_type | i | ) | const`[inline]`

reference Clutter::PathNode::operator[] | ( | size_type | i | ) | `[inline]`

const_reverse_iterator Clutter::PathNode::rbegin | ( |  | ) | const`[inline]`

reverse_iterator Clutter::PathNode::rbegin | ( |  | ) | `[inline]`

const_reverse_iterator Clutter::PathNode::rend | ( |  | ) | const`[inline]`

reverse_iterator Clutter::PathNode::rend | ( |  | ) | `[inline]`

size_type Clutter::PathNode::size | ( |  | ) | const

## Friends And Related Function Documentation

bool operator!= | ( | const PathNode& | lhs,
|  | const PathNode& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side
  | rhs | The right-hand side

Returns:
  The result

bool operator== | ( | const PathNode& | lhs,
|  | const PathNode& | rhs |
| ) |  |  | `[related]`

Parameters:

  | lhs | The left-hand side
  | rhs | The right-hand side

Returns:
  The result

const Clutter::PathNode& wrap | ( | const ClutterPathNode * | object | ) | `[related]`

Parameters:

  | object | The C instance

Returns:
  A C++ instance that wraps this C instance.

Clutter::PathNode& wrap | ( | ClutterPathNode * | object | ) | `[related]`

Parameters:

  | object | The C instance

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

ClutterPathNode Clutter::PathNode::gobject_`[protected]`

The documentation for this class was generated from the following file:

- cluttermm/path.h